summaryrefslogtreecommitdiff
path: root/private/gradle
diff options
context:
space:
mode:
Diffstat (limited to 'private/gradle')
-rw-r--r--private/gradle/README14
-rw-r--r--private/gradle/gradle.SlackBuild82
-rw-r--r--private/gradle/gradle.csh2
-rw-r--r--private/gradle/gradle.info10
-rw-r--r--private/gradle/gradle.sh2
-rw-r--r--private/gradle/slack-desc19
6 files changed, 129 insertions, 0 deletions
diff --git a/private/gradle/README b/private/gradle/README
new file mode 100644
index 0000000..107c948
--- /dev/null
+++ b/private/gradle/README
@@ -0,0 +1,14 @@
+Gradle is build automation evolved.
+
+Gradle can automate the building, testing, publishing, deployment and
+more of software packages or other types of projects such as generated
+static websites, generated documentation or indeed anything else.
+
+Gradle combines the power and flexibility of Ant with the dependency
+management and conventions of Maven into a more effective way to build.
+
+Powered by a Groovy DSL and packed with innovation, Gradle provides
+a declarative way to describe all kinds of builds through sensible
+defaults. Gradle is quickly becoming the build system of choice
+for many open source projects, leading edge enterprises and legacy
+automation challenges.
diff --git a/private/gradle/gradle.SlackBuild b/private/gradle/gradle.SlackBuild
new file mode 100644
index 0000000..80c0e4b
--- /dev/null
+++ b/private/gradle/gradle.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/bash
+
+# Slackware build script for gradle
+
+# Copyright 2019 Sukma Wardana, sukma.wardana[at]mail[dot]com
+# Copyright 2014 Arun Mascarenhas, arunmascarenhas[at]yahoo[dot]com
+# Copyright 2014 Arun Mascarenhas, Kansas City, MO, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Started by Arun Mascarenhas (arunmascarenhas[at]yahoo[dot]com)
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=gradle
+VERSION=${VERSION:-7.4.2}
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+GRADLE_HOME=/usr/share/gradle
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG/usr/share/java $PKG/$GRADLE_HOME $OUTPUT $PKG/usr/bin
+cd $TMP
+rm -rf ${PRGNAM}-$VERSION
+unzip $CWD/${PRGNAM}-$VERSION-all.zip
+cd ${PRGNAM}-$VERSION
+chown -R root:root .
+
+cp -a bin lib init.d $PKG/$GRADLE_HOME/
+
+mkdir -p $PKG/etc/profile.d/
+install -m755 $CWD/$PRGNAM.csh $PKG/etc/profile.d/$PRGNAM.csh
+install -m755 $CWD/$PRGNAM.sh $PKG/etc/profile.d/$PRGNAM.sh
+
+cd $PKG/usr/bin
+ ln -s $GRADLE_HOME/bin/gradle
+cd -
+
+rm -f $PKG/usr/share/gradle/bin/gradle.bat
+
+mkdir -p $PKG/usr/doc/${PRGNAM}-$VERSION
+cp -a NOTICE LICENSE README $PKG/usr/doc/${PRGNAM}-$VERSION
+cat $CWD/${PRGNAM}.SlackBuild > $PKG/usr/doc/${PRGNAM}-$VERSION/${PRGNAM}.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/private/gradle/gradle.csh b/private/gradle/gradle.csh
new file mode 100644
index 0000000..4dba7b2
--- /dev/null
+++ b/private/gradle/gradle.csh
@@ -0,0 +1,2 @@
+#!/bin/csh
+setenv GRADLE_HOME /usr/share/gradle
diff --git a/private/gradle/gradle.info b/private/gradle/gradle.info
new file mode 100644
index 0000000..639f37f
--- /dev/null
+++ b/private/gradle/gradle.info
@@ -0,0 +1,10 @@
+PRGNAM="gradle"
+VERSION="7.4.2"
+HOMEPAGE="http://www.gradle.org/"
+DOWNLOAD="https://services.gradle.org/distributions/gradle-7.4.2-all.zip"
+MD5SUM="cccd8e49948fec909f96e7a87d609684"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="zulu-openjdk11"
+MAINTAINER="Sukma Wardana"
+EMAIL="sukma.wardana@mail.com"
diff --git a/private/gradle/gradle.sh b/private/gradle/gradle.sh
new file mode 100644
index 0000000..9658c0c
--- /dev/null
+++ b/private/gradle/gradle.sh
@@ -0,0 +1,2 @@
+#!/bin/sh
+export GRADLE_HOME=/usr/share/gradle
diff --git a/private/gradle/slack-desc b/private/gradle/slack-desc
new file mode 100644
index 0000000..5accd69
--- /dev/null
+++ b/private/gradle/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+gradle: gradle (Build Automation)
+gradle: Gradle is build automation evolved. Gradle can automate the building,
+gradle: testing, publishing, deployment and more of software packages or
+gradle: other types of projects such as generated static websites, generated
+gradle: documentation or indeed anything else.
+gradle:
+gradle:
+gradle: Homepage: http://www.gradle.org/
+gradle:
+gradle:
+gradle: